package org.texttechnologylab.project.gruppe_05_1.database.domainimp.speeches;

import org.bson.Document;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls.Session_File_Impl;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Session;


public class Session_MongoDB_Impl extends Session_File_Impl implements Session {

    public Session_MongoDB_Impl(Document mongoDocument) {
        super(
                mongoDocument.getString("legislativePeriod"),
                mongoDocument.getInteger("sessionId"),
                mongoDocument.getString("dateTime"),
                mongoDocument.getString("endTime"));
    }
}
